Registry
Class defined in util/Registry.js#13
new Registry()
Constructor defined in util/Registry.js#14
this.contains()
Method defined in util/Registry.js#35

- Check if an entry is registered for a given name.
- @param {String} name
- @method contains
- @memberof module:Basics.Registry.prototype

this.add()
Method defined in util/Registry.js#47

- Add an entry to the registry.
- @param {String} name
- @param {Object} entry
- @method add
- @memberof module:Basics.Registry.prototype

this.remove()
Method defined in util/Registry.js#68

- Remove an entry from the registry.
- @param {String} name
- @method remove
- @memberof module:Basics.Registry.prototype

this.clear()
Method defined in util/Registry.js#80

- @method clear
- @memberof module:Basics.Registry.prototype

this.get()
Method defined in util/Registry.js#93

- Get the entry registered for a given name.
- @param {String} name
- @return The registered entry
- @method get
- @memberof module:Basics.Registry.prototype